Page MenuHomePhabricator

Further tweaks to WikiGrok UI
Closed, ResolvedPublic3 Story Points

Description

In the first step (CTA) make it match the mock-up below (ignore text error):

The existing footer should still apply to every other step in the workflow (in all versions):

Make the spinner appear in the button after the next button is clicked, rather than the spinner being in the tag area.

Make sure the heart image shows up in the thank you message.

After it's implemented, sit down with Moiz and make sure everything looks awesome.

Event Timeline

kaldari created this task.Apr 1 2015, 9:44 PM
kaldari raised the priority of this task from to Needs Triage.
kaldari updated the task description. (Show Details)
kaldari added a subscriber: kaldari.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2015, 9:44 PM
kaldari updated the task description. (Show Details)Apr 1 2015, 9:44 PM
kaldari set Security to None.
kaldari renamed this task from (3) Further tweaks to WikiGrok UI to Further tweaks to WikiGrok UI.Apr 1 2015, 9:50 PM
kaldari edited a custom field.
bmansurov added a subscriber: bmansurov.EditedApr 2 2015, 12:50 AM

What about cases like this?

Let's cc @MSyed for advice ^

KLans_WMF edited projects, added Mobile-Web-Design; removed Design.
kaldari claimed this task.Apr 3 2015, 12:06 AM
kaldari moved this task from To Do to Doing on the Mobile-Web-Sprint-44-Road-Warrior:-Mad-Max-2 board.

Change 201862 had a related patch set uploaded (by Kaldari):
Fixing styling of intro and thanks panes in WikiGrok

https://gerrit.wikimedia.org/r/201862

phuedx added a subscriber: Jdlrobson.EditedApr 10 2015, 9:22 AM

This may be blocked on T95490. We'll need to speak with @Jdlrobson, who brought this up during code review, about moving forward with this.

Edit

… and, I guess, the best approach to start adopting OOJS.

@phuedx any movement on this?

Change 201862 merged by jenkins-bot:
Fixing styling of intro and thanks panes in WikiGrok

https://gerrit.wikimedia.org/r/201862

This is now ready for design review and sign off if appropriate. Ping @KHammerstein, @MSyed.

I'm happy with this :)

phuedx closed this task as Resolved.Apr 22 2015, 6:08 PM